Octoplus lg 2.1.8 problems

On this version there was many problems
First: on older version unlocking of ls980 was done on adb but in this version it requires com port and to open comport ##3424# it requires msl/spc and to read msl there was also comport required AND MAIN point after open comport by long method it will unlock by adb so why comport required please solve it

Today i have one lg ms500 for network unlock i think in older version to unlock this not required any root but on new software its always asking for root
I unlock many d500 without root in older version

Shahzaib Jahangir